Name:           qdigidoc
Version:        0.4.1
Release:        1%{?dist}
Summary:        Estonian digital signature application

Group:          Applications/Productivity
License:        LGPLv2+
URL:            http://code.google.com/p/esteid/
Source0:        http://esteid.googlecode.com/files/%{name}-%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  libdigidoc-devel
BuildRequires:  libdigidocpp-devel
BuildRequires:  openldap-devel
BuildRequires:  openssl-devel
BuildRequires:  qt4-devel
BuildRequires:  qt4-webkit-devel
Requires:       hicolor-icon-theme
# For /usr/share/kde4/services/
Requires:       kde-filesystem
# Dynamically loaded library
Requires:       opensc%{?_isa}


%description
QDigiDoc is an application for digitally signing and encrypting documents in
BDoc, DDoc, and CDoc container formats. These file formats are widespread in
Estonia where they are used for storing legally binding digital signatures.


%package        nautilus
Summary:        Nautilus extension for %{name}
Group:          User Interface/Desktops
BuildArch:      noarch
Requires:       %{name} = %{version}-%{release}
Requires:       nautilus-python

%description   nautilus
The %{name}-nautilus package contains the %{name} extension for the
nautilus file manager.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

%find_lang nautilus-qdigidoc

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/qdigidoc-client.desktop
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/qdigidoc-crypto.desktop


%post
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*.xml
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/kde4/services/*.desktop
%{_mandir}/man1/qdigidocclient.1*
%{_mandir}/man1/qdigidoccrypto.1*

%files nautilus -f nautilus-qdigidoc.lang
%{_datadir}/nautilus-python/extensions/*


%changelog
* Tue Apr 17 2012 Kalev Lember <kalevlember@gmail.com> - 0.4.1-1
- Update to 0.4.1
- Include new man pages
- Update the nautilus subpackage files list for Nautilus 3 support
- Make the nautilus subpackage noarch

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Apr 15 2011 Kalev Lember <kalev@smartlink.ee> - 0.4.0-5
- Rebuilt for lib11 0.2.8 soname bump

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 20 2010 Kalev Lember <kalev@smartlink.ee> - 0.4.0-3
- Require hicolor-icon-theme (#642555)

* Wed Oct 13 2010 Kalev Lember <kalev@smartlink.ee> - 0.4.0-2
- Updated summary
- Added missing BR gettext

* Wed Oct 13 2010 Kalev Lember <kalev@smartlink.ee> - 0.4.0-1
- Update to 0.4.0
- Packaged up Nautilus extension and KDE service menu

* Tue May 11 2010 Kalev Lember <kalev@smartlink.ee> - 0.3.0-0.35.svn2682
- BR qt4-webkit-devel (F14+)

* Mon Mar 29 2010 Kalev Lember <kalev@smartlink.ee> - 0.3.0-0.34.svn2682
- Spec file clean up
- Added AUTHORS and COPYING docs
- Cleaned up nightly build changelog entries

* Fri Feb 26 2010 Kalev Lember <kalev@smartlink.ee> - 0.3.0-0.29.svn2542
- rebuilt with Qt 4.6

* Thu Jan 21 2010 Kalev Lember <kalev@smartlink.ee> - 0.3.0-0.25.svn2451
- rebuilt with new libp11

* Sun Jun 14 2009 Kalev Lember <kalev@smartlink.ee> - 0.3.0-0.1.svn713
- Initial RPM release.
